Runtime

## org.eclipse.gmf.runtime.notation
Interface DataTypeStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, StringObjectConverter, Style

All Known Subinterfaces:
  ListValueStyle, SingleValueStyle

All Known Implementing Classes:
  DataTypeStyleImpl, ListValueStyleImpl, SingleValueStyleImpl

    public interface DataTypeStyle

extends NamedStyle, StringObjectConverter

A representation of the model object 'Data Type Style'.

The following features are supported:

- `Instance Type`

See Also:
  `NotationPackage.getDataTypeStyle()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.ecore.EDataType` `getInstanceType()` Returns the value of the 'Instance Type' reference
`void` `setInstanceType(org.eclipse.emf.ecore.EDataType value)` Sets the value of the '`Instance Type`' reference

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.runtime.notation.StringObjectConverter
`getObjectFromString, getStringFromObject`

Method Detail

### getInstanceType

    org.eclipse.emf.ecore.EDataType getInstanceType()

  Returns the value of the 'Instance Type' reference.

  If the meaning of the 'Instance Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Instance Type' reference.
  See Also:
    `setInstanceType(EDataType)`, `NotationPackage.getDataTypeStyle_InstanceType()`
  ** Generated **
  Model:

### setInstanceType

    void setInstanceType(org.eclipse.emf.ecore.EDataType value)

  Sets the value of the '`Instance Type`' reference.

  Parameters:
    `value` - the new value of the 'Instance Type' reference.
  See Also:
    `getInstanceType()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.